# DeubertIt

## Symfony debug bundle

Simple symfony bundle which contains 2 Commands:
 - LogTest (`dit:debug:logtest`) - write message in log file and print this message in the console
 - ConfigDump - (`dit:debug:configdump`) - Dump all application config in the console
 - EOL - (`dit:debug:eol`) - Check Symfony and PHP EOL. `--project` can be specified to check EOL
 in specific project (should be a path to dir where `composer.json` is located)
 - DockerCompose (`dit:debug:dockercompose`) - Validate docker-compose.yml. Use `--config` option with a
 path to `docker-compose.yml` file. If it's not specified, `$cwd/docker-compose.yml` path will be used.
 - ConfigValidator - (`dit:debug:configvalidator`) - Validate project settings and print output in the console. 
 Return status: 0 - success, 1 - warning, 2 - error
 
 ## ConfigValidator
 
 Check if config is prepared for scalability. The following rules applied:
 
 * `folders` - `composer.json` should contain extra section with `folders` key that might look like this:
 
 ```json
{
  "folders": {
    "public/uploads": { "shared": true },
    "public/local_cache": { "writable": true }
  }
}
```

error will be returned if one of those folder is not writable.

 * `cache` - it returns error for `doctrine.result_cache_pool.recorder_inner` pool that uses filesystem adapter and warning for `app` pool
 * `session` - error will be returned if the filesystem handler is used and `save_path` is not shared, otherwise warning will be returned. 
It will succeed if another `handler_id` is used or sessions are disabled. 

It's possible to check only certain rules using `--only` option. For example: `php bin/console dit:debug:configvalidator --only session,cache`
 
 ## Standalone
 
 Use run.php to run commands in standalone mode. Example:
 
`$ ./run.php dit:debug:eol --project /my/project/dit-debug-project`  
`$ ./run.php dit:debug:dockercompose --config /my/project/docker-compose.yml`
 
 ## Tests
 
./vendor/bin/simple-phpunit src/Tests