#!/usr/bin/env php
<?php
// application.php

require __DIR__.'/vendor/autoload.php';

use DeubertIt\Debug\Command\DockerCompose;
use DeubertIt\Debug\Command\Eol;
use DeubertIt\Debug\DependencyInjection\DeubertItDebugExtension;
use Symfony\Component\Console\Application;
use Symfony\Component\DependencyInjection\ContainerBuilder;

$container = new ContainerBuilder();
(new DeubertItDebugExtension())->load([], $container);
$container->compile();

$application = new Application();
$application->add($container->get(DockerCompose::class));
$application->add($container->get(Eol::class));
$application->run();
