<?php

namespace DeubertIt\Debug\Command;

use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Style\SymfonyStyle;
use Symfony\Component\DependencyInjection\ParameterBag\ParameterBag;
use Symfony\Component\DependencyInjection\ParameterBag\ParameterBagInterface;

class ConfigDump extends Command
{
    /**
     * @var ParameterBagInterface
     */
    protected $params;

    public function __construct(string $name, ParameterBagInterface $params)
    {
        parent::__construct($name);
        $this->params = $params;
    }

    protected function configure()
    {
        $this
            ->setDescription('Print application config')
            ->setHelp('Print the full application config to the console.')
        ;
    }

    public function execute(InputInterface $input, OutputInterface $output)
    {
        $config = $this->params->all();

        $io = new SymfonyStyle($input, $output);
        $io->writeln('=================================');
        dump($config);
        $io->writeln('=================================');

        return 0;
    }
}
