<?php

namespace DeubertIt\Debug\Command;

use Psr\Log\LoggerInterface;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\Console\Style\SymfonyStyle;

class LogTest extends Command
{
    /**
     * @var LoggerInterface
     */
    protected $logger;

    public function __construct(string $name, LoggerInterface $logger)
    {
        parent::__construct($name);
        $this->logger = $logger;
    }

    protected function configure()
    {
        $this
            ->setDescription('Write message to the logger')
            ->setHelp('Write a random message to the default logger and also echo the message that was logged')
        ;
    }

    public function execute(InputInterface $input, OutputInterface $output)
    {
        $message = 'This is a test message - ' . time();

        $this->logger->info($message);

        $io = new SymfonyStyle($input, $output);
        $io->writeln('===================================');
        $io->writeln($message);
        $io->writeln('===================================');

        return 0;
    }
}
