<?php

namespace DeubertIt\Debug\DependencyInjection;

use Symfony\Component\Config\Definition\Builder\TreeBuilder;
use Symfony\Component\Config\Definition\ConfigurationInterface;

/**
 * Class Configuration
 * @package DeubertIt\Debug\DependencyInjection
 */
class Configuration implements ConfigurationInterface
{
    /**
     * Generates the configuration tree builder.
     * @return TreeBuilder The tree builder
     */
    public function getConfigTreeBuilder()
    {
        $builder = new TreeBuilder('dit_debug');
        $builder->getRootNode()
            ->children()
                ->scalarNode("template_mailer_config")
                    ->defaultValue("@DeubertItDebug/mailer-config.html.twig")
                ->end()
            ->end()
        ;
        return $builder;
    }
}