<?php
namespace DeubertIt\Debug\Util;

use Symfony\Component\HttpClient\HttpClient;

class VersionParserUtil
{
    /**
     * @var HttpClient
     */
    private $client;

    public function __construct()
    {
        $this->client = HttpClient::create();
    }

    public function parseSymfonySupportedVersions()
    {
        $response = $this->client->request('GET', 'https://symfony.com/releases.json');
        return array_values($response->toArray()['supported_versions']);
    }

    /**
     * Currently, we are trying to parse HTML page. It's a dangerous way because this tool will stop
     * working as soon as the page or related elements are changed. Are there better sources where we can
     * find EOL versions? I couldn't find one
     */
    public function parsePhpVersions()
    {
        $response = $this->client->request('GET', 'https://www.php.net/supported-versions.php');
        $content = $response->getContent();

        $exp = "/<g class=\"([^\"]+)\">[\s]+<rect[^>]* \/>[\s]*<text[^>]*>[\s]*(\d+.\d+)/";
        preg_match_all($exp, $content, $out, PREG_PATTERN_ORDER);

        $states = $out[1];
        $versions = $out[2];

        $normalizedVersions = [];

        foreach ($versions as $key => $value) {
            $normalizedVersions[$value] = $states[$key];
        }

        return $normalizedVersions;
    }

}